---
agentTools:
  projectIndex: https://docs.cancergenomicscloud.org/llms.txt
---

# List folder contents

files/{folder_id}/list

This call lists the contents of the specified folder.

[block:code]
{
  "codes": [
    {
      "code": "https://cgc-api.sbgenomics.com/v2/files/{folder_id}/list",
      "language": "text",
      "name": "Path"
    }
  ]
}
[/block]

\##Request

\###Example request

[block:code]
{
  "codes": [
    {
      "code": "GET /v2/files/568e69abe9b0307bc0414164/list HTTP/1.1\nHost: cgc-api.sbgenomics.com\nX-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74\nContent-Type: application/json",
      "language": "http",
      "name": null
    },
    {
      "code": "curl -X GET -H \"X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74\" -H \"x-sbg-advance-access: advance\" -H \"Content-Type: application/json\" \"http://cgc-api.sbgenomics.com/v2/files/568e69abe9b0307bc0414164/list\"",
      "language": "curl",
      "name": "cURL"
    }
  ],
  "sidebar": true
}
[/block]

\###Header Fields

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Description",
    "0-0": "`X-SBG-Auth-Token`\n*required*",
    "0-1": "Your Seven Bridges Platform [authentication token](https://docs.cancergenomicscloud.org/docs/get-your-authentication-token).",
    "h-2": "",
    "1-0": "`Content-Type`\n*required*",
    "1-1": "`application/json`"
  },
  "cols": 2,
  "rows": 2
}
[/block]

\##Response

[See a list of CGC-specific response codes that may be contained in the body of the response](https://docs.cancergenomicscloud.org/docs/api-status-codes).

\###Example response body

[block:code]
{
  "codes": [
    {
      "code": "{\n  \"href\": \"https://cgc-api.sbgenomics.com/v2/files/568e69abe9b0307bc0414164/list?offset=0&limit=5\",\n  \"items\": [\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/files/57fba0581e63d72f08ba054e\",\n      \"id\": \"57fba0581e63d72f08ba054e\",\n      \"name\": \"folder-name-1\",\n      \"project\": \"rfranklin/my-project\",\n      \"parent\": \"568e69abe9b0307bc0414164\",\n      \"type\": \"FOLDER\"\n    },\n    {\n      \"href\": \"https://cgc-api.sbgenomics.com/v2/files/57fde04c1c94d72f08ba054a\",\n      \"id\": \"57fde04c1c94d72f08ba054a\",\n      \"name\": \"file-name-1\",\n      \"project\": \"rfranklin/my-project\",\n      \"parent\": \"568e69abe9b0307bc0414164\",\n      \"type\": \"FILE\"\n    },",
      "language": "json",
      "name": "Example response body"
    }
  ],
  "sidebar": true
}
[/block]